Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.entries.controls
Class FeedEntriesControlImpl

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,Folder>
          com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl<T>
              com.bea.apps.groupspace.controls.generic.CM_ControlImpl<FeedEntry>
                  com.bea.apps.groupspace.feeds.entries.controls.FeedEntriesControlImpl

All Implemented Interfaces
  CM_Control<FeedEntry>, ContentControlBase<FeedEntry,Folder>, GroupSpaceContentControl<FeedEntry>, FeedEntriesControl, Serializable

    public class FeedEntriesControlImpl

extends CM_ControlImpl<FeedEntry>
implements FeedEntriesControl, Serializable

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary

Fields inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`ccCmxControl, folderControl, topNode, topNodeName`

Fields inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`ALL_TYPES, contentContext`

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`FeedEntriesControlImpl()`

Method Summary
`FeedEntry` | `create(String uid, CommunityContent.Visibility visibility, String title, String description, String author, String link, String uri, Calendar published, String contents, boolean archived, FeedFolder parentFolder)`
`FeedEntry` | `create(String uid, CommunityContent.Visibility visibility, String owner, String title, String description, String author, String link, String uri, Calendar published, String contents, boolean archived, FeedFolder parentFolder, Set<CmxControl.PropertyPair> dynamicProps)`
`protected FeedEntry` | `createObject(Node node)` We're creating FeedEntry from a Node
`ObjectClass` | `createType()`
`List<FeedEntry>` | `findByArchiveStatus(boolean status, String parentFolder)`
`FeedEntry` | `findByUid(String uid)`
`FeedEntry` | `findByUid(String uid, String parentFolder)`
`List<FeedEntry>` | `findInFolder(String feedFolder)`
`String` | `getContents(FeedEntry feedEntry)`
`String` | `getEntryDescription(FeedEntry feedEntry)`
`void` | `onCreate()` Put any other init params here.
`void` | `removeEntry(String parentId, String uid)`

Methods inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`createFolder, getCommunityFolderNode, getDefaultFolder, getFolderByExpression, getPersonalContentFolder, getTopNode, getUserFolder`

Methods inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`asSet, createFolder, findByDescription, findById, findByTitle, findContentById, findMany, getAll, getAllNodes, getCommunity, getCommunityAndPrivate, getCommunityFolder, getFolder, getImmediateChildrenAsPagedResult, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, move, promoteToCommunity, remove, removeAll, removeCommunityAndPrivate, removePersonal, removePrivate, update`

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`createObjectClass, createObjects, createObjects, findMany, findManyChildren, getAllChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, recurseRepository, remove, remove, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Constructor Detail

### FeedEntriesControlImpl

    public FeedEntriesControlImpl()

Method Detail

### create

    public FeedEntry create(String uid,
                            CommunityContent.Visibility visibility,
                            String title,
                            String description,
                            String author,
                            String link,
                            String uri,
                            Calendar published,
                            String contents,
                            boolean archived,
                            FeedFolder parentFolder)
                     throws NoSuchNodeException,
                            RepositoryException,
                            AuthorizationException

  Specified by:
    `create` in interface `FeedEntriesControl`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### create

    public FeedEntry create(String uid,
                            CommunityContent.Visibility visibility,
                            String owner,
                            String title,
                            String description,
                            String author,
                            String link,
                            String uri,
                            Calendar published,
                            String contents,
                            boolean archived,
                            FeedFolder parentFolder,
                            Set<CmxControl.PropertyPair> dynamicProps)
                     throws NoSuchNodeException,
                            RepositoryException,
                            AuthorizationException

  Specified by:
    `create` in interface `FeedEntriesControl`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### createType

    public ObjectClass createType()
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Specified by:
    `createType` in class `ContentControlBaseImpl<FeedEntry,Folder>`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### findByUid

    public FeedEntry findByUid(String uid)

  Specified by:
    `findByUid` in interface `FeedEntriesControl`
  Returns
    Null if nothing found

### findByUid

    public FeedEntry findByUid(String uid,
                               String parentFolder)

  Specified by:
    `findByUid` in interface `FeedEntriesControl`
  Returns
    Null if nothing found

### findByArchiveStatus

    public List<FeedEntry> findByArchiveStatus(boolean status,
                                               String parentFolder)

  Specified by:
    `findByArchiveStatus` in interface `FeedEntriesControl`
  Returns
    Null if nothing found

### findInFolder

    public List<FeedEntry> findInFolder(String feedFolder)

  Specified by:
    `findInFolder` in interface `FeedEntriesControl`
  Returns
    Null if nothing found

### removeEntry

    public void removeEntry(String parentId,
                            String uid)
                     throws org.apache.beehive.controls.api.ControlException

  Specified by:
    `removeEntry` in interface `FeedEntriesControl`
  Throws
    `org.apache.beehive.controls.api.ControlException`

### getContents

    public String getContents(FeedEntry feedEntry)
                       throws Exception

  Specified by:
    `getContents` in interface `FeedEntriesControl`
  Throws
    `Exception`

### getEntryDescription

    public String getEntryDescription(FeedEntry feedEntry)
                               throws Exception

  Specified by:
    `getEntryDescription` in interface `FeedEntriesControl`
  Throws
    `Exception`

### createObject

    protected FeedEntry createObject(Node node)

  We're creating FeedEntry from a Node

  Specified by:
    `createObject` in class `ContentControlBaseImpl<FeedEntry,Folder>`

### onCreate

    public void onCreate()
                  throws org.apache.beehive.controls.api.ControlException

  Put any other init params here. Note they can go on the control interface annotations. See the CM_Control.java file for an example of declaring parameters, and the CM_ControlImpl.jcs file for accessing those parameters

  Overrides:
    `onCreate` in class `CM_ControlImpl<FeedEntry>`
  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved